<?php
include 'conf.php';

$post_array = array();
$post_array['code'] = $_POST['code'];
$post_array['format'] = $_POST['format'];
$post_array['ot'] = $_POST['ot'];
$post_array['do'] = $_POST['do'];

$data = get_post('http://zomp3.ru/video/index.php?'.$_SERVER['QUERY_STRING'].'', $post_array);


include 'head.php';


echo '<div class="phdr">Поиск видео</div>';


if(!empty($_SERVER['QUERY_STRING']))
{
	preg_match_all('|<div class="rekl">(.*)</div>|Us', $data, $p1);
	$out .= '<div class="menu">'.$p1[1][0].'</div>';
}

preg_match_all('|<form action=(.*)</form>|Us', $data, $p2);
	$p = '<form action='.$p2[1][0].'</form>';
	$p = str_replace('<div class="ka4">', '', $p);
	$p = str_replace('</div>', '', $p);
	
	$out .= '<div class="menu">'.$p.'</div>';

if(isset($_GET['text']) || isset($_GET['text_id']))
{	
	preg_match_all('|alt=" " \/> Поиск не дал результатов.|Us', $data, $po1);
	if(!empty($po1[0][0]))
	{
	$out .= '<div class="rek2">Поиск не дал результатов! Попробуйте составить запрос по-другому</div>';
	}
	else
	{
	
		preg_match_all('|<div class="ka4"><a href="index.php\?(.*)</a></div>|Us', $data, $p3);

		for ($q=0; $q<=4; $q++)
		{
			$out .= '<div class="link"><a href="index.php?'.$p3[1][$q].'</a></div>';
		}
		//
		preg_match_all('|<a href="index.php\?text_id=(.*)start=(.*)</div><form action="(.*)"><div class="str">|Us', $data, $p4);
		$nav = str_replace('</div><form action="index.php"><div class="str">', '',$p4[0][0]);
		$out .= '<div class="menu">'.$nav.'</div>';
	}
}		
	
	
// file info
if(isset($_GET['make']))
{
		preg_match_all('|Фото</a></div><div class="ka4">(.*)</div>|Us', $data, $i1);
		if(!empty($i1[1][0]))

		$finfo = $i1[1][0];
		
		$finfo = preg_replace('|ID: (.*)<br />|Us', '', $finfo);
		$finfo = preg_replace('|Категория: <a href="(.*)</a><br />|Us', '', $finfo);
		$finfo = preg_replace('| Добавлен: (.*)<br />|Us', '', $finfo);
		$finfo = preg_replace('|Скачано раз:(.*)<br />|Us', '', $finfo);
		$finfo = preg_replace('|<img src="http://ohah.ru/u/i/kom.gif" alt=" " /> <a href="index.php(.*)">Мнения</a>:(.*)<br />|Us', '', $finfo);
		$finfo = str_replace('src="img/', 'src="http://zomp3.ru/video/img/', $finfo);
		$out .= '<div class="opisanie">'.$finfo.'</div>';
		
		
		// файл готов
		preg_match_all('|<div class="ka4"><img src="http://ohah.ru/u/i/yes.gif" alt=" " \/>(.*)</div>|Us', $data, $i4);
		if(!empty($i4[1][0]))
		{
			$downlink = str_replace('href="index.php', 'href="down.php', $i4[1][0]);
			$out .= '<div class="rek2"><b>'.$downlink.'</b></div>';
		}
		//Готовые файлы
		preg_match_all('|Готовые видео:<br \/>(.*)</div>|Us', $data, $i14);
		if(!empty($i14[1][0]))
		{
			$downlink2 = str_replace('href="index.php', 'href="down.php', $i14[1][0]);
			$out .= '<div class="rek2">Готовые видео: <br/>
			<b>'.$downlink2.'</b></div>';
		}
		
		// ссылка на скачать
		preg_match_all('|<form method="post"(.*)value="скачать" />|Us', $data, $i2);
		if(!empty($i2[1][0]))
		{
			$fdown = '<form method="post"'.$i2[1][0].'value="скачать" /></form>';
			$fdown = str_replace('<div class="ka4">', '', $fdown);
			$fdown = str_replace('src="/u/index', 'src="u', $fdown);
			$out .= '<div class="menu">'.$fdown.'</div>';
		}
		// ссылка на конверт
		preg_match_all('|<form method="post"(.*)value="кодировать" />|Us', $data, $i22);
		if(!empty($i22[1][0]))
		{
			$fdown2 = '<form method="post"'.$i22[1][0].'value="Кодировать" /></form>';
			$fdown2 = str_replace('<div class="ka4">', '', $fdown2);
			$fdown2 = str_replace('src="/u/index', 'src="u', $fdown2);
			$out .= '<div class="menu">'.$fdown2.'</div>';
		}
		
		// файл готовится 1
		preg_match_all('|Пожалуйста, подождите:<br \/><img src="http://ohah.ru/u/i/ddd.gif" alt=" " \/>(.*) <b>Внимание:</b>|Us', $data, $i3);
		if(!empty($i3[1][0]))
		{
			$out .= '<div class="menu">Пожалуйста, подождите: <br/>'.$i3[1][0].'</div>';
		}
		
		// файл готовится 2
		preg_match_all('|Пожалуйста, подождите:<br \/><img src="/u/i/ablue.gif" alt=" " \/>(.*)<b>Внимание:</b>|Us', $data, $i13);
		if(!empty($i13[1][0]))
		{
			$out .= '<div class="menu">Пожалуйста, подождите: <br/>'.$i13[1][0].'</div>';
		}
		
		
		
		preg_match_all('|<div class="ka4"> Готовые видео:(.*)</div>|Us', $data, $i5);
		if(!empty($i5[1][0]))
		{
			$out .= '<div class="phdr">Готовые видео: '.$i5[1][0].'</div>';
		}
		$out .= '<div class="menu">Если нет ссылки на скачивание - <a href="index.php?'.$_SERVER['QUERY_STRING'].'">Обновите страницу</a></div>';
		
}

echo $out;


include 'foot.php';
?>